Package wx :: Module glcanvas :: Class GLCanvas

[frames | no frames]

## Type GLCanvas

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        GLCanvas

Proxy of C++ GLCanvas class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
GLContext | `GetContext(self)`
| `SetColour(self, colour)`
| ``SetCurrent`(self)` SetCurrent(self, GLContext RC)
| `SwapBuffers(self)`

Property Summary
| `Context`: See `GetContext`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=0, name=GLCanvasNameStr, attribList=None, palette=wxNullPalette)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Window.__init__` (inherited documentation)

### SetCurrent(self)

SetCurrent(self, GLContext RC)

Property Details

### Context

See `GetContext`

  Get Method:
    `GetContext`(self)

### thisown

The membership flag

  Get Method:
    unknown--1217619228(...)
  Set Method:
    unknown--1217619172(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:17 2007 | http://epydoc.sf.net